ARG DOCKER_PHP_VERSION
FROM php:${DOCKER_PHP_VERSION}-apache

RUN apt-get update \
    && apt-get install -y \
        diffutils \
        imagemagick \
        libicu-dev \
    && rm -rf /var/lib/apt/lists/*
RUN docker-php-ext-install \
        calendar \
        intl \
        mysqli
RUN a2enmod rewrite

COPY custom-php.ini /usr/local/etc/php/conf.d/

RUN ln -s /srv/docker-dev/log /srv/log
RUN ln -s /srv/docker-dev/mediawiki /var/www/html/w
COPY ./favicon.ico /var/www/html

RUN chown -R www-data:www-data /tmp

COPY ./apache-site.conf /etc/apache2/sites-enabled/000-default.conf
COPY ./apache-ports.conf /etc/apache2/ports.conf

COPY entrypoint.sh /
CMD /entrypoint.sh
